curl --request GET \
--url https://api.talentunveiled.com/api/v1/applications/{application_id}/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v1/applications/{application_id}/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v1/applications/{application_id}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v1/applications/{application_id}/insights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v1/applications/{application_id}/insights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v1/applications/{application_id}/insights")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v1/applications/{application_id}/insights")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "pending",
"error": "<unknown>",
"data_sources": [
"cv_evaluation"
],
"cv_score": "<string>",
"interview_score": "<string>",
"overall_score": "<string>",
"overall_score_explanation": "<string>",
"hiring_recommendation": "strong_hire",
"hiring_recommendation_explanation": "<string>",
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"risks": [
"<string>"
],
"tools_and_skills": [
"<string>"
],
"areas_for_development": [
"<string>"
],
"behavioural_observations": "<string>",
"summary": "<string>",
"tagline_summary": "<string>",
"submitted_application_summary": "<string>",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_session_result": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Get Application Insights
Retrieve AI-generated insights for a job application including scores, recommendation, and analysis.
curl --request GET \
--url https://api.talentunveiled.com/api/v1/applications/{application_id}/insights \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talentunveiled.com/api/v1/applications/{application_id}/insights"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talentunveiled.com/api/v1/applications/{application_id}/insights', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.talentunveiled.com/api/v1/applications/{application_id}/insights",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.talentunveiled.com/api/v1/applications/{application_id}/insights"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.talentunveiled.com/api/v1/applications/{application_id}/insights")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.talentunveiled.com/api/v1/applications/{application_id}/insights")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"status": "pending",
"error": "<unknown>",
"data_sources": [
"cv_evaluation"
],
"cv_score": "<string>",
"interview_score": "<string>",
"overall_score": "<string>",
"overall_score_explanation": "<string>",
"hiring_recommendation": "strong_hire",
"hiring_recommendation_explanation": "<string>",
"strengths": [
"<string>"
],
"weaknesses": [
"<string>"
],
"risks": [
"<string>"
],
"tools_and_skills": [
"<string>"
],
"areas_for_development": [
"<string>"
],
"behavioural_observations": "<string>",
"summary": "<string>",
"tagline_summary": "<string>",
"submitted_application_summary": "<string>",
"organization": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"candidate": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interview_session_result": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Authorizations
API key authentication for the public API. Pass your API key as a Bearer token.
Path Parameters
Response
Serializer for JobApplicationInsights with synthesized CV and interview data.
Processing status: pending, completed, or failed
pending- Pendingcompleted- Completedfailed- Failed
pending, completed, failed Error details if status=failed: {error_type, error_message, traceback, timestamp}
Data sources used to generate insights (cv_evaluation, interview)
cv_evaluation- CV Evaluationinterview- Interview
cv_evaluation, interview CV evaluation score (0-5)
^-?\d{0,3}(?:\.\d{0,2})?$Interview score (0-5)
^-?\d{0,3}(?:\.\d{0,2})?$Weighted overall score (0-5): 30% CV + 70% Interview
^-?\d{0,3}(?:\.\d{0,2})?$Explanation of how overall score was calculated
AI-generated hiring recommendation based on score and risks
strong_hire- Strong Hirehire- Hiremaybe- Maybeno_hire- No Hire
strong_hire, hire, maybe, no_hire Short explanation for the hiring recommendation (1-2 sentences)
2-5 key strengths synthesized from CV and interview
2-5 key weaknesses and areas for improvement
0-3 red flags or concerns
Technical skills, tools, and competencies identified
2-5 growth areas framed constructively
Behavioural observations from interview
1-2 paragraph executive summary
One-line summary for quick candidate differentiation
255LLM-generated markdown bullet list summarizing the data the candidate submitted with their application (JobApplication.custom_fields). One '- ' bullet per relevant item, lightly rephrased for readability. Null when custom_fields is empty or insights have not yet been synthesized.
Organization this record belongs to
[v3 jobs only] Interview v3 session result used for this insight.

